
# Initiation to Quarto

*by Solène Pety*



## Advantages

    - multi-language, compatible with multiple editors, multiple formats (HTML, PDF, presentation, book, website) ; If multi-language: all objects are stored in the same environment (already tested between bash and R)

    - additionnal fonctionnalities : tabset, code folding, highlighting, native features like appendices ...

   * easy to use within RStudio
   * can integrate some (R) Shiny code


## INRAE

INRAE format for html is available (to be corporate ;) ) (by David Carayon): [https://dcarayon.fr/blog/InraeThemes\_Quarto/](https://dcarayon.fr/blog/InraeThemes\_Quarto/) 



## Gitlab pages

Some repos to be simply cloned

tutorial for blog making (by Cedric): [https://cedric.midoux.pages.mia.inra.fr/slides/posts/2022-12-08\_quartoblog/](https://cedric.midoux.pages.mia.inra.fr/slides/posts/2022-12-08\_quartoblog/)

use the "freeze" option to lighten the process



Cheatsheet: [https://rstudio.github.io/cheatsheets/quarto.pdf](https://rstudio.github.io/cheatsheets/quarto.pdf)



 @Solène, peut on avoir le lien vers la présentation ? [https://cedric.midoux.pages.mia.inra.fr/slides/posts/2024-05-03\_quarto-happyR/#/title-slide](https://cedric.midoux.pages.mia.inra.fr/slides/posts/2024-05-03\_quarto-happyR/#/title-slide) 

 

 Le .qmd lié à la présentation : [https://forgemia.inra.fr/cedric.midoux/slides/-/blob/main/posts/2023-04-13\_quarto/index.qmd?ref\_type=heads](https://forgemia.inra.fr/cedric.midoux/slides/-/blob/main/posts/2023-04-13\_quarto/index.qmd?ref\_type=heads)

 

 [https://cedric.midoux.pages.mia.inra.fr/slides/](https://cedric.midoux.pages.mia.inra.fr/slides/)

 

 Also a good way of making posters

 

## Other tools + R packages

 vscode: copilot directly integrated: [https://code.visualstudio.com/](https://code.visualstudio.com/)

 to clean up R code: Air Package (available on VScode and RStudio): [https://github.com/soumyaray/air](https://github.com/soumyaray/air)

 cleannames function in janitor: [https://cran.r-project.org/web/packages/janitor/vignettes/janitor.html](https://cran.r-project.org/web/packages/janitor/vignettes/janitor.html)

 

## TO DO

   * page on the biostatinfo gitlab (on forgemia) with our favorite packages, tools, ... and their description; there: [https://forgemia.inra.fr/gibbs-biostatinfo/coding-tutorials](https://forgemia.inra.fr/gibbs-biostatinfo/coding-tutorials) 
   * make and add personnal pages on the GABI website (with hands on the webpage given to each agent); workflow with automatic updating -> probably need to discuss with the DUs + Patricia Huan 
     
